Package com.independentsoft.office.themes

# Class ShapeDefault

java.lang.Object
com.independentsoft.office.themes.ShapeDefault

public class ShapeDefault extends Object
The Class ShapeDefault.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShapeDefault()`
  Instantiates a new shape default.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ShapeDefault`
  `clone()`
  `ShapeProperties`
  `getShapeProperties()`
  Gets the shape properties.
  `ShapeStyle`
  `getStyle()`
  Gets the style.
  `TextBodyProperties`
  `getTextBodyProperties()`
  Gets the text body properties.
  `TextListStyle`
  `getTextListStyle()`
  Gets the text list style.
  `void`
  `setStyle​(ShapeStyle style)`
  Sets the style.
  `void`
  `setTextListStyle​(TextListStyle textListStyle)`
  Sets the text list style.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ShapeDefault

    public ShapeDefault()
    Instantiates a new shape default.

- ## Method Details

  - ### clone

    public ShapeDefault clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getTextBodyProperties

    public TextBodyProperties getTextBodyProperties()
    Gets the text body properties.
    Returns:
      the text body properties

  - ### getTextListStyle

    public TextListStyle getTextListStyle()
    Gets the text list style.
    Returns:
      the text list style

  - ### setTextListStyle

    public void setTextListStyle​(TextListStyle textListStyle)
    Sets the text list style.
    Parameters:
      `textListStyle` - the new text list style

  - ### getShapeProperties

    public ShapeProperties getShapeProperties()
    Gets the shape properties.
    Returns:
      the shape properties

  - ### getStyle

    public ShapeStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ShapeStyle style)
    Sets the style.
    Parameters:
      `style` - the new style